Subject: bug#69562: 29.2.50; go-ts-mode does not handle comments with fill-paragraph

From: Dmitry Gutov <[email-masked]>
Date: Tue, 5 Mar 2024 15:03:20 +0200

On 05/03/2024 10:41, Ankit Gadiya via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> When fill-paragraph is invoked on the comment lines in the `go-ts-mode`
> buffer, it does not add the comment delimiters on the new lines.
> 
>      // Sample is a sample function with a very long comment. Sample is
> a sample function with a very long comment. Sample is a sample
> function with a very long comment. Sample is a sample function with a
> very long comment.
>      func Sample() {
> 
>      }

Does you example originally have one long commented line? Because when I 
try it that way, filling seems to work fine, comments are added on the 
new lines.